Package org.gradle.language.nativeplatform

# Interface ComponentWithObjectFiles

All Superinterfaces:
  `ComponentWithNativeRuntime`, `Named`, `SoftwareComponent`

All Known Subinterfaces:
  `CppBinary`, `CppExecutable`, `CppSharedLibrary`, `CppStaticLibrary`, `CppTestExecutable`, `SwiftBinary`, `SwiftExecutable`, `SwiftSharedLibrary`, `SwiftStaticLibrary`, `SwiftXCTestBinary`, `SwiftXCTestBundle`, `SwiftXCTestExecutable`

public interface ComponentWithObjectFiles extends ComponentWithNativeRuntime
Represents a component that produces object files.

Since:
  4.5

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileCollection`
  `getObjects()`
  Returns the object files created for this component.

  ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

  `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

- ## Method Details

  - ### getObjects

    FileCollection getObjects()
    Returns the object files created for this component.